Bug 487023 - UID&FILESYSTEM_DOMAIN mis-configuration causing unintended side-effects
UID&FILESYSTEM_DOMAIN mis-configuration causing unintended side-effects
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Robert Rati
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 13:04 EST by Robert Rati
Modified: 2010-10-14 12:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, remote-configuration set the UID_FILESYSTEM DOMAINs to $(FULL_HOSTNAME). This resulted in unintended behavior such as an unnecessary use of file transfers, jobs being run as the nobody user, etc. With this update, the base DB now includes SharedFilesystem and CommonUIDDomain features, which include FILESYSTEM_DOMAIN and UID_DOMAIN respectively, thus, the unintended side effects no longer occur.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Robert Rati 2009-02-23 13:04:55 EST
Description of problem:
remote-configuration sets the UID & FILESYSTEM DOMAINs to $(FULL_HOSTNAME), but this causes several unintended consequences:

1) file transfer will be used when it is not needed because testmonkey's home directly is NFS mounted on all nodes
2) a submitter is created by concatenating a job Owner and the schedd's UID_DOMAIN, so when the schedd fails over the submitter appears to change, when in reality it hasn't
3) jobs are being run as the nobody user, and we need to be able to run jobs as the actual owner, especially for accessing NFS resources
4) Possibly others

Need to find configuration settings that will resolve these issues.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Robert Rati 2010-02-23 16:05:25 EST
The base DB now includes SharedFilesystem and CommonUIDDomain features, which include FILESYSTEM_DOMAIN and UID_DOMAIN respectively.  If these features are added to a group/node, the tools will prompt for a value.

Fixed in:
condor-wallaby-base-db-1.0-0.3
Comment 4 Martin Kudlej 2010-09-09 09:24:41 EDT
Checked with condor-wallaby-base-db-1.4-3 on RHEL 5.5 x i386/x86_64 and there are variables with values as is described above. -->VERIFIED
Comment 5 Martin Prpič 2010-10-07 07:44:59 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, remote-configuration set the UID & FILESYSTEM DOMAINs to $(FULL_HOSTNAME). This resulted in unintended behavior such as an unnecessary use of file transfers, jobs being run as the nobody user, etc. With this update, the base DB now includes SharedFilesystem and CommonUIDDomain features, which include FILESYSTEM_DOMAIN and UID_DOMAIN respectively, thus, the unintended side effects no longer occur.
Comment 6 Martin Prpič 2010-10-08 08:31:19 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, remote-configuration set the UID & FILESYSTEM DOMAINs to $(FULL_HOSTNAME). This resulted in unintended behavior such as an unnecessary use of file transfers, jobs being run as the nobody user, etc. With this update, the base DB now includes SharedFilesystem and CommonUIDDomain features, which include FILESYSTEM_DOMAIN and UID_DOMAIN respectively, thus, the unintended side effects no longer occur.+Previously, remote-configuration set the UID_FILESYSTEM DOMAINs to $(FULL_HOSTNAME). This resulted in unintended behavior such as an unnecessary use of file transfers, jobs being run as the nobody user, etc. With this update, the base DB now includes SharedFilesystem and CommonUIDDomain features, which include FILESYSTEM_DOMAIN and UID_DOMAIN respectively, thus, the unintended side effects no longer occur.
Comment 8 errata-xmlrpc 2010-10-14 12:10:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.